ICU 70.1 70.1

LocalUConstrainedFieldPositionPointer Class Reference

"Smart pointer" class; closes a UConstrainedFieldPosition via ucfpos_close(). More...

`#include <uformattedvalue.h>`

## Detailed Description

"Smart pointer" class; closes a UConstrainedFieldPosition via ucfpos_close().

For most methods see the LocalPointerBase base class.

Usage:

    LocalUConstrainedFieldPositionPointer ucfpos(ucfpos_open(ec));
    // no need to explicitly call ucfpos_close()

Stable:
  ICU 64

The documentation for this class was generated from the following file:

- uformattedvalue.h